package com.persagy.dmp.rwd.edit.entity;

import javax.persistence.Column;
import javax.persistence.Embeddable;
import java.io.Serializable;
import java.util.Objects;

/**
 * @author: yaoll
 * @date: 2020-11-01
 * @verison: 1.0
 */
@Embeddable
public class VersionPK implements Serializable {

    @Column
    private String versionId;
    @Column
    private Integer changeId;
    @Column
    private Integer type;

    public VersionPK() {
    }

    public VersionPK(String versionId, Integer changeId, Integer type) {
        this.versionId = versionId;
        this.changeId = changeId;
        this.type = type;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        VersionPK versionPK = (VersionPK) o;
        return versionId.equals(versionPK.versionId) &&
                changeId.equals(versionPK.changeId) &&
                type.equals(versionPK.type);
    }

    @Override
    public int hashCode() {
        return Objects.hash(versionId, changeId, type);
    }

    @Override
    public String toString() {
        return "GroupPK{versionId=" + versionId + ", changeId=" + changeId + ",type=" + type + "}";
    }
}
